.sapUiLbx {
	border-collapse: separate; /* to prevent inheriting "collapse" */
}

.sapUiLbxI {
	line-height: 15px;
}

.sapUiLbxI:focus {
	outline: 1px dotted @sapUiFocus;
	outline-offset: 0; /* not beautiful because parts of the outline are invisible, but this works across browsers without writing tons of CSS */
}

/* each item has a border which may be colored when selected */
.sapUiLbxI > span {
	border: 2px solid transparent;
	border-right-width: 0;
	border-left-width: 0;
	padding: 0 5px;
}
.sapUiLbxI > span:first-child {
	padding-left: 4px;
	border-left-width: 2px;
}
.sapUiLbxI > span:last-child {
	border-right-width: 2px;
	padding-right: 3px;
}

.sapUiLbxI:hover,
.sapUiLbxI:focus,
.sapUiLbxRo > ul > .sapUiLbxI.sapUiLbxISel:hover,
.sapUiLbxRo > ul > .sapUiLbxI.sapUiLbxISel:focus,
.sapUiLbx:not(.sapUiLbxDis) > ul > .sapUiLbxI:hover:not(.sapUiLbxISel):not(.sapUiLbxIDis) > span,   /* Fix for IE10 :hover bug - need to set the color on children as well */
.sapUiLbx:not(.sapUiLbxDis) > ul > .sapUiLbxI:focus:not(.sapUiLbxISel):not(.sapUiLbxIDis) > span {  /* Fix for IE10 :hover bug - need to set the color on children as well */
	background-color: @sapUiListHoverBackground;
}

.sapUiLbxDis > ul > .sapUiLbxISel,
.sapUiLbxDis > ul > .sapUiLbxI.sapUiLbxISel:hover,
.sapUiLbxDis > ul > .sapUiLbxI.sapUiLbxISel:focus {
	background-color: @sapUiBaseColor;
	color: @sapUiHighlightTextColor;
}

.sapUiLbxDis,
.sapUiLbxStd > ul > .sapUiLbxIDis,
.sapUiLbxDis > ul > .sapUiLbxI:hover,
.sapUiLbxDis > ul > .sapUiLbxI:focus {
	background-color: darken(@sapUiFieldBackground, 2.6%);
}

/* adjust end paddings where the scrollbar could overlap the items */

.sapUiLbx.sapUiLbxFlexWidth > ul > li > span:last-child {
	padding-right: 16px; /* when width is not set, a scrollbar may cover the last part of the text which is not nice because no width means "adapted to content" */
}
html[data-sap-ui-browser="ie9"] .sapUiLbx.sapUiLbxFlexWidth > ul > li > span:last-child {
	padding-right: 0; /* above mentioned problem does not appear in IE9 */
}

.sapUiLbxIIcoFont{
	font-size: 16px;
	line-height: 16px;
}
